| Home | Libraries | People | FAQ | More

###### http::header::method (2 of 2 overloads)

Set the request-method.

###### Synopsis

    void
    method(
        verb v);

###### Description

This function will set the method for requests to a known verb.

###### Parameters

Name | Description
--- | ---
`v` | The request method verb to set. This may not be `verb::unknown`.

###### Exceptions

Type | Thrown On
--- | ---
`std::invalid_argument` | when v == `verb::unknown`.

###### Remarks

This function is only available when `isRequest == true`.